%define name w3cam
%define version 0.7.2
%define release %mkrel 7

Name:           %name
Version:        %version
Release:        %release
Summary:	Web camera CGI for video4linux
License:	GPL
Group:		Video
Url:		http://mpx.freeshell.net
Source:		http://mpx.freeshell.net/%{name}-%{version}.tar.bz2
Patch0:		%name.c.patch
Patch1:		%{name}-0.7.2.path.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	freetype-devel

%description
w3cam is a small and fast CGI program to retrieve images from a video4linux 
device. It supports PPM, PNG and JPEG as output format. You can select size,
quality, input device (TV, S-Video, etc.) and more.
w3cam is distributed under the GNU GPL.

%prep
%setup -q
%patch0
%patch1

%build
%configure 
%make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -d -m 755 $RPM_BUILD_ROOT%{_var}/www/cgi-bin
install -d -m 755 $RPM_BUILD_ROOT%{_var}/www/html
install -m 755 w3cam.cgi $RPM_BUILD_ROOT%{_var}/www/cgi-bin
install -m 644 w3cam.css $RPM_BUILD_ROOT%{_var}/www/html
install -m 644 w3cam.cgi.scf $RPM_BUILD_ROOT%{_sysconfdir}
install -m 755 {vidcat,ppmtoascii} $RPM_BUILD_ROOT%{_bindir}
install -m 644 vidcat.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.html
%doc COPYING.txt ChangeLog.txt FAQ.txt README SAMPLES
%{_var}/www/cgi-bin/w3cam.cgi
%{_var}/www/html/w3cam.css
%{_bindir}/*
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/w3cam.cgi.scf



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.7.2-7mdv2008.1
+ Revision: 136571
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.2-7mdv2008.0
+ Revision: 70351
- use %%mkrel


* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.7.2-6mdk
- spec file cleanups, remove the ADVX-build stuff

* Wed May 26 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7.2-5mdk 
- really fixed URL (/me sux)

* Wed May 26 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7.2-4mdk 
- included missing man pages
- rpmbuilupdate aware
- fixed URL

* Wed May 26 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7.2-3mdk
- ADVX macros
- included missing configuration and css files

* Sat Dec 06 2003 Franck Villaume <fvill@freesurf.fr> 0.7.2-2mdk
- add BuildRequires : libjpeg62-devel libpng-devel freetype-devel

* Sat Jan 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2
- url
- clean section

* Sun Nov 11 2001 Daouda LO <daouda@mandrakesoft.com> 0.7.1-1mdk
- release 0.7.1

* Fri Oct 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-2mdk
- rebuild against new libpng3

* Fri Aug 31 2001 Etienne Faure <etienne@mandrakesoft.com> 0.7.0-1mdk
- version 0.7.0

* Thu Apr 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-2mdk
- fix cgi directory

* Wed Dec 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-1mdk
- new in contribs

